
	
		$(document).ready(function(){
        console.log("Ejecutando carga inicial..."); // Agrega esto para depurar
        load(1);
    });

		function load(page){
    var q= $("#q").val();
    var lugar= $("#lugar").val();
    
    $("#loader").fadeIn('slow');
    $.ajax({
        type: "POST",
        url:'ajax/buscar_tiendas.php',
        // Usar un objeto en 'data' asegura que los nombres se envíen correctamente
        data: {
            action: 'ajax',
            page: page,
            q: q,
            lugar: lugar
        },
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
      },
        success:function(data){
            $(".outer_div").html(data).fadeIn('slow');
            $('#loader').html('');
        }
    })
}
		


$( "#guardar_tienda" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/nueva_tienda.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

$( "#editar_tienda" ).submit(function( event ) {
  $('#actualizar_datos2').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_tienda.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax2").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax2").html(datos);
			$('#actualizar_datos2').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})


	function get_tienda_id(id){
		$("#tienda_id_mod").val(id);
}

	function obtener_datos(id){
			var nombre = $("#nombre_tienda"+id).val();
			var direccion = $("#direccion_tienda"+id).val();
			var estado = $("#est_tienda"+id).val();
			
			$("#mod_id_tienda").val(id);
			$("#mod_nombre").val(nombre);
			$("#mod_direccion").val(direccion);
			$("#mod_estado").val(estado);
			
		}
		
		function eliminar (id)
		{

		if (confirm("Realmente deseas eliminar la tienda")){	
		$.ajax({
        type: "GET",
        url: "./ajax/eliminar_tienda.php",
        data: "id="+id,
		 
        success: function(datos){
		load(1);
		}
			});
		}
		}
		
		

